com.ibm.openpages.api.configuration

## Enum IFindGroupCondition.LogicalOp

- java.lang.Object
- - java.lang.Enum<IFindGroupCondition.LogicalOp>
  - - com.ibm.openpages.api.configuration.IFindGroupCondition.LogicalOp

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IFindGroupCondition.LogicalOp>
  Enclosing interface:
    IFindGroupCondition

      public static enum IFindGroupCondition.LogicalOp
      extends java.lang.Enum<IFindGroupCondition.LogicalOp>

  logical operator to join sub conditions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `And`
    `Or`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IFindGroupCondition.LogicalOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IFindGroupCondition.LogicalOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### And

          public static final IFindGroupCondition.LogicalOp And

    - #### Or

          public static final IFindGroupCondition.LogicalOp Or

  - ### Method Detail

    - #### values

          public static IFindGroupCondition.LogicalOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IFindGroupCondition.LogicalOp c : IFindGroupCondition.LogicalOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IFindGroupCondition.LogicalOp valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.